Package org.lwjgl.opengl

# Class INTELMapTexture

java.lang.Object
org.lwjgl.opengl.INTELMapTexture

public final class INTELMapTexture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_LAYOUT_DEFAULT_INTEL`
Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:
`static final int`
`GL_LAYOUT_LINEAR_CPU_CACHED_INTEL`
Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:
`static final int`
`GL_LAYOUT_LINEAR_INTEL`
Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:
`static final int`
`GL_TEXTURE_MEMORY_LAYOUT_INTEL`
Accepted by the <pname> parameter of TexParameteri, for target TEXTURE_2D

## Method Summary

Modifier and Type
Method
Description
`static ByteBuffer`
`glMapTexture2DINTEL(int texture, int level, long length, int access, IntBuffer stride, IntBuffer layout, ByteBuffer old_buffer)`
The length parameter does not exist in the native API.
`static void`
`glSyncTextureINTEL(int texture)`
`static void`
`glUnmapTexture2DINTEL(int texture, int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_MEMORY_LAYOUT_INTEL

public static final int GL_TEXTURE_MEMORY_LAYOUT_INTEL
Accepted by the <pname> parameter of TexParameteri, for target TEXTURE_2D

See Also:
  - Constant Field Values

### GL_LAYOUT_DEFAULT_INTEL

public static final int GL_LAYOUT_DEFAULT_INTEL
Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:

See Also:
  - Constant Field Values

### GL_LAYOUT_LINEAR_INTEL

public static final int GL_LAYOUT_LINEAR_INTEL
Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:

See Also:
  - Constant Field Values

### GL_LAYOUT_LINEAR_CPU_CACHED_INTEL

public static final int GL_LAYOUT_LINEAR_CPU_CACHED_INTEL
Accepted by the <params> when <pname> is set to <TEXTURE_MEMORY_LAYOUT_INTEL>:

See Also:
  - Constant Field Values

## Method Details

### glMapTexture2DINTEL

public static ByteBuffer glMapTexture2DINTEL(int texture, int level, long length, int access, IntBuffer stride, IntBuffer layout, ByteBuffer old_buffer)
The length parameter does not exist in the native API. It used by LWJGL to return a ByteBuffer with a proper capacity.

### glUnmapTexture2DINTEL

public static void glUnmapTexture2DINTEL(int texture, int level)

### glSyncTextureINTEL

public static void glSyncTextureINTEL(int texture)